/* Universal Selector */
* {
    font-family: "Courier New", monospace;
    font-size: 20px;
}


body {
    background-color: skyblue;
}


html {
    scroll-behavior: smooth;
}


/* Navigation bar */
nav {
    background-color: white;
}


/*  selector:hover pseudo class */
/*  changes the style when hovered over */
a:hover{
    background-color: #b4d6de;
}


div {
    display: inline-block;
    float: right;
}


h1 {
    color: black !important;
    text-align: center;
    font-size: 2rem;
}

/*  landing section */
section {
    height: 100vh;
    text-align: center;
}


h2 {
    font-size: 1.5rem;
}

/*  CSS Rules
    selector {
        property:: value;
    }
*/

/* 
h1 { color: yellow; }
*/

/* Adjacent Sibling Selector 
    - Used to select an element that
    is DIRECTLY after another specif element
    - +
    - e.g. selector + selector
*/
h3 + img {
    height: 300px;
    border-width: 300px;
    border-radius: 150px;
}


ol {
    list-style-type: none;
}


/* #zuitt-motto + img {
    height: 300px;
    border-width: 300px;
    border-radius: 150px;
} */


/* ID selector */
/* #id-name */
#zuitt-motto { 
    letter-spacing: 5px;
  }

 /* Class selector */
 /* .class-name */
 .offering-item {
    text-transform: uppercase;
 }


 /* Decendant Selector 
    - used to match all elements that
    are descendants of a specified element
    - [whitespace]
    - e.g. selector selector
 */
#bootcamp-learning-list li {
    color: #075966;
}


/*  General sibling selector
    - used to select all elements that are
    next siblings of a specified element 
    - ~
    - e.g. selector ~ selector
*/
h2 ~ a , a {
    text-decoration: none;
}


/*  Register section */
form {
    text-align: center;
    background-color: white;
    border: 2px solid black;
    height: 185px;
    width: 25vw;
    position: relative;
    left: 37.5%;

}


/*  Child selector
    - used to select all elements that are the children
    of a specified element
    - >
    - e.g. selector > selector
    */
body > section > form > label {
    color: rgb(0,0,128);
}


 /* Attribute Selector */
 /* tagname[attribute] */
input[required] {
    border-width: 2px;
    border-style: solid;
    border-color: navy;
    width: 90%;
 }

button {
    background-color: #cf0053;
    color: white;
    border: 0;
    border-radius: 15px;
}